# Makefile.in generated by automake 1.14.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Copyright (C) 2000-2012 by George Williams
# Copyright (C) 2012 by Barry Schwartz
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# Redistributions of source code must retain the above copyright notice, this
# list of conditions and the following disclaimer.
#
# Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# The name of the author may not be used to endorse or promote products
# derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Copyright (C) 2000-2012 by George Williams
# Copyright (C) 2012 by Barry Schwartz
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# Redistributions of source code must retain the above copyright notice, this
# list of conditions and the following disclaimer.
#
# Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# The name of the author may not be used to endorse or promote products
# derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#--------------------------------------------------------------------------
#
# Some variables controlling the file layout, and which you may want
# to override when running make.
#
# For example, you may want to install the help system in
# ${docdir}/html instead of in ${docdir} itself:
#
#      make HTDOCS_SUBDIR=/html
#      make HTDOCS_SUBDIR=/html install
#
#--------------------------------------------------------------------------

VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
DIST_COMMON = $(top_srcdir)/mk/layout.am $(srcdir)/Makefile.in \
	$(srcdir)/Makefile.am
subdir = htdocs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/argz.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/fontforge_arg_enable.m4 \
	$(top_srcdir)/m4/fontforge_arg_with.m4 \
	$(top_srcdir)/m4/fontforge_config_freetype_debugger.m4 \
	$(top_srcdir)/m4/fontforge_config_x_libraries.m4 \
	$(top_srcdir)/m4/fontforge_create_pkg-config_files.m4 \
	$(top_srcdir)/m4/fontforge_ltdl.m4 \
	$(top_srcdir)/m4/fontforge_platform_specifics.m4 \
	$(top_srcdir)/m4/fontforge_search_libs.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltdl.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/inc/fontforge-config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(htdocsdir)"
DATA = $(nobase_htdocs_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
ARGZ_H = @ARGZ_H@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CAIRO_CFLAGS = @CAIRO_CFLAGS@
CAIRO_LIBS = @CAIRO_LIBS@
CARBON = @CARBON@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
COCOA = @COCOA@
CORESERVICES = @CORESERVICES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
FONTFORGE_VERSION = @FONTFORGE_VERSION@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_LIBS = @FREETYPE_LIBS@
FREETYPE_SOURCE = @FREETYPE_SOURCE@
GIFLIB_CFLAGS = @GIFLIB_CFLAGS@
GIFLIB_LIBS = @GIFLIB_LIBS@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_LIBS = @GLIB_LIBS@
GREP = @GREP@
HOST = @HOST@
INCLTDL = @INCLTDL@
INDENT = @INDENT@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBADD_DL = @LIBADD_DL@
LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
LIBADD_DLOPEN = @LIBADD_DLOPEN@
LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
LIBFONTFORGEEXE_PKGCONFIG_LIBS = @LIBFONTFORGEEXE_PKGCONFIG_LIBS@
LIBFONTFORGEEXE_PKGCONFIG_LIBS_PRIVATE = @LIBFONTFORGEEXE_PKGCONFIG_LIBS_PRIVATE@
LIBFONTFORGEEXE_PKGCONFIG_REQUIRES = @LIBFONTFORGEEXE_PKGCONFIG_REQUIRES@
LIBFONTFORGEEXE_PKGCONFIG_REQUIRES_PRIVATE = @LIBFONTFORGEEXE_PKGCONFIG_REQUIRES_PRIVATE@
LIBFONTFORGEEXE_PKGCONFIG_VERSION = @LIBFONTFORGEEXE_PKGCONFIG_VERSION@
LIBFONTFORGEEXE_VERSION = @LIBFONTFORGEEXE_VERSION@
LIBFONTFORGE_PKGCONFIG_LIBS = @LIBFONTFORGE_PKGCONFIG_LIBS@
LIBFONTFORGE_PKGCONFIG_LIBS_PRIVATE = @LIBFONTFORGE_PKGCONFIG_LIBS_PRIVATE@
LIBFONTFORGE_PKGCONFIG_REQUIRES = @LIBFONTFORGE_PKGCONFIG_REQUIRES@
LIBFONTFORGE_PKGCONFIG_REQUIRES_PRIVATE = @LIBFONTFORGE_PKGCONFIG_REQUIRES_PRIVATE@
LIBFONTFORGE_PKGCONFIG_VERSION = @LIBFONTFORGE_PKGCONFIG_VERSION@
LIBFONTFORGE_VERSION = @LIBFONTFORGE_VERSION@
LIBGDRAW_VERSION = @LIBGDRAW_VERSION@
LIBGIOFTP_VERSION = @LIBGIOFTP_VERSION@
LIBGUNICODE_VERSION = @LIBGUNICODE_VERSION@
LIBGUTILS_VERSION = @LIBGUTILS_VERSION@
LIBJPEG_CFLAGS = @LIBJPEG_CFLAGS@
LIBJPEG_LIBS = @LIBJPEG_LIBS@
LIBLTDL = @LIBLTDL@
LIBOBJS = @LIBOBJS@
LIBPNG_CFLAGS = @LIBPNG_CFLAGS@
LIBPNG_LIBS = @LIBPNG_LIBS@
LIBREADLINE_CFLAGS = @LIBREADLINE_CFLAGS@
LIBREADLINE_LIBS = @LIBREADLINE_LIBS@
LIBS = @LIBS@
LIBSPIRO_CFLAGS = @LIBSPIRO_CFLAGS@
LIBSPIRO_LIBS = @LIBSPIRO_LIBS@
LIBTIFF_CFLAGS = @LIBTIFF_CFLAGS@
LIBTIFF_LIBS = @LIBTIFF_LIBS@
LIBTOOL = @LIBTOOL@
LIBUNICODENAMES_CFLAGS = @LIBUNICODENAMES_CFLAGS@
LIBUNICODENAMES_LIBS = @LIBUNICODENAMES_LIBS@
LIBUNINAMESLIST_CFLAGS = @LIBUNINAMESLIST_CFLAGS@
LIBUNINAMESLIST_LIBS = @LIBUNINAMESLIST_LIBS@
LIBUUID_CFLAGS = @LIBUUID_CFLAGS@
LIBUUID_LIBS = @LIBUUID_LIBS@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBZMQCOLLAB_VERSION = @LIBZMQCOLLAB_VERSION@
LIBZMQ_CFLAGS = @LIBZMQ_CFLAGS@
LIBZMQ_LIBS = @LIBZMQ_LIBS@
LIPO = @LIPO@
LN_S = @LN_S@
LTDLDEPS = @LTDLDEPS@
LTDLINCL = @LTDLINCL@
LTDLOPEN = @LTDLOPEN@
LTLIBOBJS = @LTLIBOBJS@
LT_CONFIG_H = @LT_CONFIG_H@
LT_DLLOADERS = @LT_DLLOADERS@
LT_DLPREOPEN = @LT_DLPREOPEN@
MACAPP = @MACAPP@
MAINT = @MAINT@
MAINTAINER_TOOLS = @MAINTAINER_TOOLS@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MSGFMT = @MSGFMT@
MY_CFLAGS = @MY_CFLAGS@
MY_LIBS = @MY_LIBS@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PANGOCAIRO_CFLAGS = @PANGOCAIRO_CFLAGS@
PANGOCAIRO_LIBS = @PANGOCAIRO_LIBS@
PANGO_CFLAGS = @PANGO_CFLAGS@
PANGO_LIBS = @PANGO_LIBS@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PLUTIL = @PLUTIL@
POW_LIB = @POW_LIB@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_LIBS = @PTHREAD_LIBS@
PYTHON = @PYTHON@
PYTHON_CFLAGS = @PYTHON_CFLAGS@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_LIBS = @PYTHON_LIBS@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
SDK = @SDK@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
THE_PROGRAMS = @THE_PROGRAMS@
UNZIP = @UNZIP@
UPDATE_DESKTOP_DATABASE = @UPDATE_DESKTOP_DATABASE@
UPDATE_MIME_DATABASE = @UPDATE_MIME_DATABASE@
VERSION = @VERSION@
VERSION_MAJOR = @VERSION_MAJOR@
VERSION_MINOR = @VERSION_MINOR@
VERSION_PATCH = @VERSION_PATCH@
WARNING_CFLAGS = @WARNING_CFLAGS@
WGET = @WGET@
XGETTEXT = @XGETTEXT@
XINPUT_LIBS = @XINPUT_LIBS@
XKB_LIBS = @XKB_LIBS@
XMKMF = @XMKMF@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
ZLIB_CFLAGS = @ZLIB_CFLAGS@
ZLIB_LIBS = @ZLIB_LIBS@
_GIFLIB_5PLUS = @_GIFLIB_5PLUS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
ax_pthread_config = @ax_pthread_config@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
ltdl_LIBOBJS = @ltdl_LIBOBJS@
ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sys_symbol_underscore = @sys_symbol_underscore@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@

# Where the application's icons for internal use go. (For the
# locations of desktop icons, see below.)
pixmapsdir = ${pkgdatadir}/pixmaps

# Where to put binaries which are really only interesting to fontforge itself.
# For example, processes that are created to help with real time collaboration
# but which are really not so interesting for the user to ever directly create.
internal_bindir = ${bindir}/FontForgeInternal

# Where the FontForge help system goes.
HTDOCS_SUBDIR = 
htdocsdir = ${docdir}$(HTDOCS_SUBDIR)

# Where pkg-config files go.
pkgconfigdir = ${libdir}/pkgconfig

# Where contributed Python scripts go.
pkgpythondatadir = $(pkgdatadir)/python

# Where contributed node.js scripts go.
pkgnodejsdatadir = $(pkgdatadir)/nodejs

# Where hotkey bindings go.
hotkeysdir = $(pkgdatadir)/hotkeys

# Where stuff that is in $top/share goes
fontforgesharesdir = $(pkgdatadir)

# Where plugin modules go.
plugindir = ${pkglibdir}/plugins

# What gets passed as macros to the C sources.
MY_SHAREDIR = ${pkgdatadir}
MY_DOCDIR = ${htdocsdir}
MY_PLUGINDIR = ${plugindir}

#--------------------------------------------------------------------------
#
# Layout of the freedesktop.org support.
PACKAGEROOTDIR = ${datarootdir}

# Where .desktop files go.
DESKTOPDIR = ${PACKAGEROOTDIR}/applications
desktopdir = ${DESKTOPDIR}

# Where MIME data goes. (Support for .sfd files, for instance.)
MIMEDIR = ${PACKAGEROOTDIR}/mime
mimedir = ${MIMEDIR}
mimepackagesdir = ${MIMEDIR}/packages

# Where desktop icons go.
ICONSDIR = ${PACKAGEROOTDIR}/icons
HICOLORDIR = ${ICONSDIR}/hicolor
iconsdir = ${ICONSDIR}
hicolordir = ${HICOLORDIR}
hicolor16x16dir = ${hicolordir}/16x16/apps
hicolor22x22dir = ${hicolordir}/22x22/apps
hicolor24x24dir = ${hicolordir}/24x24/apps
hicolor32x32dir = ${hicolordir}/32x32/apps
hicolor48x48dir = ${hicolordir}/48x48/apps
hicolor256x256dir = ${hicolordir}/256x256/apps
hicolorscalabledir = ${hicolordir}/scalable/apps
ROOT_DOC_LIST = AA-Comparison.html aacutebase.png aacutemid.png			\
	accented.html acenter.png acorn2sfd.html addlookup-kern.png			\
	AddLookup-Liga.png a_dieresis_macron.png agetinfo.png				\
	agrave_anchored.png ahighest.png aItalic.png alignedBaselines.png	\
	allgreek.png alphakappaiota.png alphakappaiotatheta.png				\
	AmbrosiaFV-bm.png AmbrosiaFV.png anchorcontrol-base.png				\
	anchorcontrol.html anchorcontrol-mark.png Anna.gif Antigone.gif		\
	arabic-seen.png asm1.png asm2.png asm3.png asm4.png As.png			\
	autotrace.html autowidth.html autowidth.png a_with_anchor.png		\
	BASEdlg.png BASEfeat.png BASElang.png baseline.html BDFgrey.html	\
	bdfinfo.html bdfinfo.png bed-script.png BethSans.png				\
	BethSerif.png BexpandBigSerifs.png BexpandCJK.png BexpandLCG.png	\
	BexpandLCGsquish.png bezier.gif bezier.html bibliography.html		\
	bitmapchar.png bitmaponlysfnt.html BitmapReference.png				\
	bitmapsavail.png bitmapview.html BitmapView.png BoldHiraDA.png		\
	BottomSerif.png boustrophedon.png bowlweb.gif Bperspective.png		\
	bvlayers.png bvtools.png C10.png C1.png C2.png C3.png C4.png		\
	C5.png C6.png C7.png C8.png C9.png cap-height.png					\
	CaslonOriginality.png ChangeGlyph1Dlg.png ChangeGlyph2Dlg.png		\
	ChangeGlyph3Dlg.png changelog.html ChangeWeight.png					\
	ChangeXHeightDlg.png charinfo-comment.png charinfo-comp.png			\
	charinfo-counters.png charinfo.html charinfo-lig.png charinfo.png	\
	charinfo-pos.png charinfo-subs.png charinfo-tex.png					\
	charinfo-tilesize.png charinfo-variants.png CharPrint.png			\
	charview2.png charview.html charview-multilayer.png					\
	charview-quadratic.png charview-vert.png charwithhintmask.png		\
	cidmapformat.html cidmenu.html cliargs.html ClippedA.png			\
	ClippedARaster.png colorbutton.png CondenseExtend.png				\
	Constrain1_1.png Constrain1_2.png Constrain2_1.png					\
	Constrain2_2.png contextchain-classlist.png							\
	contextchain-class.png contextchain-coverage.png					\
	contextchain-format.png contextchain-glyphlists.png					\
	contextchain.html contextchain-pickglyph.png						\
	contextchain-rcover.png contextchain-simpleclasses.png				\
	contextchain-simplecoverage.png contextchain-simpleglyph.png		\
	copyfeatures.png corpchar.html cpinfo.png cpodd.png Cspirals.png	\
	Cspiro0.png Cspiro10.png Cspiro1.png Cspiro2.png Cspiro3.png		\
	Cspiro4.png Cspiro5.png Cspiro6_5.png Cspiro6.png Cspiro7.png		\
	Cspiro8.png Cspiro9.png cubic2quad.png cvarrowicon.png				\
	cvcornericon.png cvcurveicon.png cvdebug.png cvellipseicon.png		\
	cvflipicon.png cvfreehandicon.png cvhandicon.png					\
	cvhvcurveicon.png cvknifeicon.png cvmagicon.png cvpenicon.png		\
	cvperspectiveicon.png cvpolyicon.png cvrecticon.png					\
	cvrotate3dicon.png cvrotateicon.png cvrulericon.png					\
	cvscaleicon.png cvskewicon.png cvspirocornericon.png				\
	cvspiroG2icon.png cvspiroG4icon.png cvspirolefticon.png				\
	cvspiromodeicon.png cvspirorighticon.png cvstaricon.png				\
	cvtangenticon.png cvt-to-mac.png CyrilItalicComp.png				\
	definegroups.png delta0.png delta1.png devaBaseline.png				\
	devaHangBaseline.png devaLatinBaseline.png diffs.html				\
	DisplayFonts.png displaygroups.png display.html donate.png			\
	doublestruck-B.png Eback.png EbackTtf.png editcvt.png				\
	editexample2.html editexample3.html editexample4.html				\
	editexample5.html editexample6-5.html editexample6.html				\
	editexample7.html editexample8.html editexample-fr.html				\
	editexample.html editmenu.html editspiro.html						\
	edittransition-context.png edittransition-indic.png					\
	edittransition-insert.png edittransition-kern.png Efore.png			\
	EforeTtf.png Ehinted.png EhintedTtf.png eItalic.png					\
	elementmenu.html emptyfont-A-sel.png emptyhlig.png					\
	encodingmenu.html Eperspective.png errrecovery.html					\
	exclude-post.png exclude-pre.png expandedlines.png					\
	expand-joint-post.png expand-joint-pre.png expand-post.png			\
	expand-pre.png expandstroke.png extrema-poi.png faqFrame.html		\
	faqFS.html faq.html featsetdlg.png featurefile.html FF32.png		\
	ffanvil16.png ffanvil300.png ffanvil32.png ffcartouche.png			\
	ffdownload.png ff-history.html ffi-caret.png ffi-moved.png			\
	ffi-refs.png ffi-rmoverlap.png ffi-unlink.png FFmacotfIcon.png		\
	FFsfd32.png fftype16.png fftype32.png filemenu.html files.html		\
	findprobs-att.png findprobs-bb.png findprobs-cid.png				\
	findprobs-hint.png findprobs-paths.png findprobs.png				\
	findprobs-random.png findprobs-refs.png f+i.png fi.png				\
	fItalic.png FlatSerif.png floating-A.png fontcompdlg.png			\
	fontcompresults.png FontDisplay.png FontForgeSplash.png				\
	fontforge-themes.html fontforge-tutorial.pdf fontimage.html			\
	FontImage.png fontinfo-charsets.png fontinfo-cid.png				\
	fontinfo-comment.png fontinfo-gasp.png fontinfo-general.png			\
	fontinfo.html fontinfo-layers.png fontinfo-lookups.png				\
	fontinfo-macfeat.png fontinfo-macstyle.png							\
	fontinfo-markclasses.png fontinfo-marksets.png						\
	fontinfo-panose.png fontinfo.png fontinfo-private.png				\
	fontinfo-psuid.png fontinfo-size.png fontinfo-ssnames.png			\
	fontinfo-subsup.png fontinfo-tex.png fontinfo-ttfmetrics.png		\
	fontinfo-ttfname-bigedit.png fontinfo-ttfname.png					\
	fontinfo-ttfvals.png fontinfo-unicode.png fontinfo-woff.png			\
	fontlint.html FontSample.png fontstyles.html fontutils.html			\
	fontview-cid.png fontview.fr.png fontview-grouped.png				\
	fontview.html fontview.ru.png fraktur-A.png freehandctl.png			\
	future.html FVHMetrics.png fv-normal.png fvOutOfDateHinting.png		\
	fv-smallcaps.png FVVMetrics.png GButton.png GCancelButton.png		\
	GComboBoxMenu.png GComboBox.png GDefaultButton.png GDropList.png	\
	GenerateFamily.png generate.html GenerateOptions.png generate.png	\
	GenerateTTC.png generate-upload.png getinfo.html GLabel.png			\
	GListMark.png GlossaryFrame.html GlossaryFS.html glossary.html		\
	glyphinfo-one.png GlyphSep-rectangles.png GlyphSep-To.png			\
	GMatrixEdit.png GNumericField.png GNumericFieldSpinner.png			\
	gposgsub.html GradientDlg.png GRadio.png grave_with_anchor.png		\
	greymapedit.png greymapsavail.png GridFitM.png GridFit.png			\
	groups.html GSUB-Order.png GTextField.png H-bm.png					\
	HebrewMetrics.png HebrewSerifs.png helpmenu.html hexley.png			\
	H-gm.png HI.hints.png HI.nohints.png hintboundingbox.png			\
	hintdiagonalends.png hintdiagonalinter.png hinting.html				\
	hintmaskinfo.png hintsmenu.html Hints.png histogram.html			\
	histogram.png hligaheadruledone.png hligallrulesdone.png			\
	hligbacknomatch.png hligback.png hligbackruledone.png				\
	hligbackrule.png hligbyclasses.png hliggreekahead.png				\
	hliggreekback.png hliggreekclass.png hligiotaclass.png				\
	hligkappaclass.png hligkappaiota.png hligkappa.png					\
	hligmatchsubs.png hlignewrule.png hligrule.png hligseqdlg.png		\
	HotKeys.html i1.png i2.png i3.png i4.png importexample.html			\
	import.png IndexFrame.html IndexFS.html index.html					\
	InsertTextDlg.html InsertTxtDlg.png intersect-post.png				\
	ItalicCompCaslon.png ItalicCompGalliard.png ItalicDlg.png			\
	JustifyDlg.png JustifyExtenderDlg.png justify.html					\
	JustifyLangDlg.png JustifyLookupDlg.png JustOutside.png k1.png		\
	k2.png k3.png k4.png k5.png k6.png ka-change.png kanjichar.png		\
	kanjifont.png kappa_iota-context.png kappa_iota-lookup.png			\
	kappaiota-lookups.png kappa_iota-subtable.png kappaiotatheta.png	\
	kernbyclasses.png kerningclass.png kerningformat.png				\
	kernpairclose.png kernpairs.html KernPairs.png kern-We-12.png		\
	kern-We-150.png l10.png l1.png l2.png l3.png l4.png l5.png l6.png	\
	l7.png l8.png l9.png lang-dlg.png latinBaseline.png					\
	latinHangBaseline.png latinNormalBaseline.png layerdlg.png			\
	layers.png lcani.gif lcdigits.png license.html LinearGradient.png	\
	logo3.gif lookup-metadata.png lookups.html lparen-108.png			\
	MacFeatName.png macfeature.png macFeatureSetting.png				\
	macformats.html mac-install.html MacMapping.png mad.html			\
	manual-ja-hover.png manual-ja.png MassRename.png					\
	MATH-Constants.png MATH-Exten.png MATH-GlyphConstructed.png			\
	MATH-GlyphConstructionDlg.png MATH-GlyphConstruction.png			\
	math.html MATH-Italic.png MATH-MathKernGraph.png					\
	MATH-MathKern.png MATH-MathKernText.png MATH-TopAccent.png			\
	MATH-VertVariants.png menu_down.png MenuWithMacIcons.png			\
	MenuWithoutMacIcons.png mergepost.png mergepre.png					\
	metrics-kappa_iota.png metricsmenu.html MetricsView-features.png	\
	metricsview.html MetricsView.png misalignedBaselines.png			\
	mItalic.png mmappleaxes.png mmaxes.png mmcharview.png				\
	mmcounts.png mmdesigns.png mmextrapolate2.png mmfinal.png			\
	mmfuncs.png mmmenu.html mmnamedstyles.png mmnamingastyle.png		\
	ms-install.html multilayer.html multiplemaster.html					\
	MultiPrint.png newanchor.png newcountermask.png newfont.png			\
	nix-install.html non-linear.png non-standard.html NoPointHint.png	\
	nvd.html o1.png o2.png o3.png o4.png o5.png o-baddir.png			\
	OFL-FAQ-Unofficial-fr.html OFL-FAQ-Unofficial-vi.html				\
	OFLibBrowse.png oflib.html OFL-Unofficial-el.html					\
	OFL-Unofficial-fr.html OFL-Unofficial.html OFL-Unofficial-pl.html	\
	OFL-Unofficial-vi.html oldchangelog.html openfont.png				\
	otherlinks.html outlinechar.png OutlineInline.png					\
	overlappedlines.png overshoot.png overview.html PageSetup.png		\
	palmfonts.html PathToBind.png pcf-format.html						\
	pfaeditchangelog.html pfaeditmath.html PfaEdits.gif					\
	PfaEdit-TeX.html phi-hints-filled.png phi-hints-outline.png			\
	phi-nohints-filled.png phi-nohints-outline.png plugins.html			\
	pnts.gif pointinfo-interp.png pointinfo.png pointmenu.html			\
	pointsize.png PoV.png prefs-accent.png prefs-apps.png				\
	prefs-editing.png prefs-font.png prefs-generate.png					\
	prefs-generic.png prefs.html prefs-macfeat.png prefs-macmap.png		\
	prefs-navigation.png prefs-newfont.png prefs-openfont.png			\
	prefs-opentype.png prefs-pshints.png prefs-script.png				\
	prefs-sync.png prefs-ttinstrs.png prefs-tt.png Print.png			\
	privatekeymenu.png privatekey.png problems.html python.html			\
	QGDlg.png QGList.png quadbezier.gif quadbezier.png					\
	quadraticspline.gif quadraticspline.png quotations.html				\
	RadialGradientDlg.png RadialGradient.png realindex.html				\
	ref-caveats.html removefeature.png resedit.html resedit.png			\
	retagfeature.png ReviewHints.png rgetinfo.png rparen-108.png		\
	rplprocess.png rplref.png rplsansserifs.png rplserifs.png			\
	ruler.png running.html sans-serif-def.png script-A.png				\
	scripting-alpha.html scripting.html scripting-tutorial.html			\
	script-lang-dlg.png scriptnotes.html search.html selectbyatt.html	\
	SelectByATT.png selections.html serif2.png serif-def.png			\
	serif.png setwidth.png sfdchangelog.html sfddiff.html				\
	sfdformat.html sfd.html Shades2.png Shades4.png Shades.png			\
	ShadowWireframe.png short-long-s.png showatt.html showatt.png		\
	ShowGridFit.png sidebearings.png Sigma13x16.png Sigma28x33.png		\
	Sigma54x64.png SmallcapsDlg.png sm-picture.png source-build.html	\
	spacekappaiotaspace.png Spacem_1.png Spacem_2.png spacer1x20.png	\
	spironextconstraint.png spiropointinfo.png							\
	spiroprevconstraint.png splinefont.html splines.gif src.html		\
	statemachine-context.png statemachine.html statemachine-indic.png	\
	statemachine-insert.png strokechar.png Styles.html					\
	SubSuperDlg.png subtable-ffi.png subtable-gpos-anchor.png			\
	subtable-gpos-kernpair.png subtable-gpos-singlefull.png				\
	subtable-gpos-singlehide.png subtable-gsub-ligature.png				\
	subtable-gsub-single.png subtable-oldstyle.png subtable-to.png		\
	SuggestDeltas.html TextBoundDistortedGlyphs.png						\
	TextBoundUnitaryGlyph.png TextUnbound.png TiledPattern45.png		\
	TiledPattern.png TilePath2.png tilepath-center.png					\
	tilepath-final.png tilepath.html tilepath-left.png					\
	tilepath-orig.png TilePath.png tilepath-right.png					\
	tilepath-scale.png tilepath-selection.png tilepath-tile.png			\
	tilepath-ts.png TilePatternDlg.png TilePattern.png Tile.png			\
	To-kerned.png toolsmenu.html tools.png To-unkerned.png				\
	transform.html transform.png transition-context.png					\
	transition-indic.png transition-insert.png transition-kern.png		\
	Tricolor.png TrueOpenTables.html TTCvt.png ttfinstrs-edit.png		\
	ttfinstrs.html ttfinstrs-view.png TTgloss.png TTPoints.png			\
	TTRaster.png TTRegisters.png TTStack.png TTStorage.png				\
	tutorial-ja-hover.png tutorial-ja.png tutorial-zh_TW-hover.png		\
	tutorial-zh_TW.png twolines.png u432Italic.png u433Italic.png		\
	ucEItalic.png uitranslationnotes.html uninstall.html				\
	UniqueID.html validation.html validation.png VerticalMetrics.png	\
	viewmenu.html views.html vItalic.png vms-install.html wacom.html	\
	windowmenu.html wItalic.png x-height.png xim.html xItalic.png		\
	xres.html Big5.txt colorpicker.jpeg corpchar.txt fftype300.svg		\
	fontforge-banner-420.jpeg FontForge.css Metal-fontforge-600.jpeg	\
	MetalType.jpeg hotkeys.jpeg

JA_DOC_LIST = ja/AA-Comparison.html ja/AmbrosiaFV.png ja/BDFgrey.html	\
	ja/BitmapView.png ja/FontForge.css ja/GenerateFamily.png			\
	ja/GenerateOptions.png ja/GlossaryFS.html ja/GlossaryFrame.html		\
	ja/HotKeys.html ja/IndexFS.html ja/IndexFrame.html					\
	ja/MacFeatName.png ja/MacMapping.png ja/MetaFont.html				\
	ja/MetricsView.png ja/PageSetup.png ja/PfaEdit-TeX.html				\
	ja/TrueOpenTables.html ja/UniqueID.html ja/VerticalMetrics.png		\
	ja/accented.html ja/acorn2sfd.html ja/agetinfo.png					\
	ja/anchorcontrol.html ja/autotrace.html ja/autowidth.html			\
	ja/bdfinfo.html ja/bezier.html ja/bibliography.html					\
	ja/bitmapsavail.png ja/bitmapview.html ja/changelog.html			\
	ja/charinfo.html ja/charview.html ja/charview2.png					\
	ja/cidmapformat.html ja/cidmenu.html ja/cliargs.html				\
	ja/contextchain.html ja/corpchar.html ja/definegroups.png			\
	ja/diffs.html ja/display.html ja/displaygroups.png					\
	ja/editexample.html ja/editexample2.html ja/editexample3.html		\
	ja/editexample4.html ja/editexample5.html ja/editexample6-5.html	\
	ja/editexample6.html ja/editexample7.html ja/editmenu.html			\
	ja/elementmenu.html ja/encodingmenu.html ja/errrecovery.html		\
	ja/expandstroke.png ja/faq.html ja/faqFS.html ja/faqFrame.html		\
	ja/filemenu.html ja/files.html ja/fontcompdlg.png					\
	ja/fontcompresults.png ja/fontinfo-comment.png						\
	ja/fontinfo-macstyle.png ja/fontinfo-panose.png						\
	ja/fontinfo-private.png ja/fontinfo-ps.png ja/fontinfo-size.png		\
	ja/fontinfo-statemach.png ja/fontinfo-subsup.png					\
	ja/fontinfo-tex.png ja/fontinfo-ttfmetrics.png						\
	ja/fontinfo-ttfvals.png ja/fontinfo.html ja/fontinfo.png			\
	ja/fontutils.html ja/fontview-grouped.png ja/fontview.html			\
	ja/future.html ja/generate.html ja/generate.png ja/getinfo.html		\
	ja/glossary.html ja/gposgsub.html ja/greymapsavail.png				\
	ja/groups.html ja/helpmenu.html ja/hinting.html ja/hintsmenu.html	\
	ja/histogram.html ja/index.html ja/kernpairs.html ja/layerdlg.png	\
	ja/license.html ja/locale.html ja/mac-install.html					\
	ja/macFeatureSetting.png ja/macfeature.png ja/macformats.html		\
	ja/mad.html ja/metricsmenu.html ja/metricsview.html					\
	ja/mmmenu.html ja/ms-install.html ja/multilayer.html				\
	ja/multiplemaster.html ja/nix-install.html ja/non-standard.html		\
	ja/nonBMP/index.html ja/nvd.html ja/oldchangelog.html				\
	ja/otherlinks.html ja/overview.html ja/palmfonts.html				\
	ja/pcf-format.html ja/pfaeditchangelog.html ja/pfaeditmath.html		\
	ja/plugins.html ja/pointinfo-interp.png ja/pointinfo.png			\
	ja/pointmenu.html ja/prefs-apps.png ja/prefs-editing.png			\
	ja/prefs-font.png ja/prefs-generic.png ja/prefs-macfeat.png			\
	ja/prefs-macmap.png ja/prefs-script.png ja/prefs.html				\
	ja/print.html ja/privatekey.png ja/privatekeymenu.png				\
	ja/problems.html ja/quotations.html ja/realindex.html				\
	ja/rgetinfo.png ja/ref-caveats.html ja/running.html					\
	ja/scripting-alpha.html ja/scripting-tutorial.html					\
	ja/scripting.html ja/scriptnotes.html ja/search.html				\
	ja/selectbyatt.html ja/selections.html ja/sfd.html					\
	ja/sfddiff.html ja/sfdformat.html ja/showatt.html					\
	ja/source-build.html ja/splinefont.html ja/src.html					\
	ja/statemachine.html ja/tilepath.html ja/transform.html				\
	ja/ttfinstrs.html ja/typofeat.html ja/uninstall.html				\
	ja/viewmenu.html ja/views.html ja/vms-install.html ja/wacom.html	\
	ja/windowmenu.html ja/xim.html ja/xres.html

FLAGS_DOC_LIST = flags/BrasilFlag.png flags/English.gif				\
	flags/GermanFlag.png flags/Greece.png flags/Nisshoki-Japan.png	\
	flags/Polish.png flags/RussianFlag.png flags/StarsStripes.gif	\
	flags/Tricolor.gif flags/UnionJack.gif flags/VietnamFlag.png	\
	flags/taiwan.png

NONBMP_DOC_LIST = nonBMP/index.html
INSTALLED_DOC_LIST = $(ROOT_DOC_LIST) $(NONBMP_DOC_LIST)	\
	$(FLAGS_DOC_LIST) $(JA_DOC_LIST)


# FIXME: Are these wanted?
UNINSTALLED_DOC_LIST = ListeDesGlyphes.nam englishkernpairs.txt
DOC_LIST = $(INSTALLED_DOC_LIST) $(UNINSTALLED_DOC_LIST)
nobase_htdocs_DATA = $(INSTALLED_DOC_LIST) .htaccess
EXTRA_DIST = $(DOC_LIST) .htaccess
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/mk/layout.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign htdocs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign htdocs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/mk/layout.am:

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-nobase_htdocsDATA: $(nobase_htdocs_DATA)
	@$(NORMAL_INSTALL)
	@list='$(nobase_htdocs_DATA)'; test -n "$(htdocsdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(htdocsdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(htdocsdir)" || exit 1; \
	fi; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo " $(MKDIR_P) '$(DESTDIR)$(htdocsdir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(htdocsdir)/$$dir"; }; \
	    echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(htdocsdir)/$$dir'"; \
	    $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(htdocsdir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_htdocsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_htdocs_DATA)'; test -n "$(htdocsdir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	dir='$(DESTDIR)$(htdocsdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(htdocsdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-nobase_htdocsDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-nobase_htdocsDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	cscopelist-am ctags-am distclean distclean-generic \
	distclean-libtool distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-nobase_htdocsDATA install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags-am uninstall \
	uninstall-am uninstall-nobase_htdocsDATA


#--------------------------------------------------------------------------

-include $(top_srcdir)/git.mk

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
